//+------------------------------------------------------------------+
//|                                                        TA_MA.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#import "ta_ma.dll"
int ta_ma( int MAPeriod, int MAType, double &Price[], double& out[], int num );
#import

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 SteelBlue

extern int MaPeriod=14;
extern int MaType=8; //  0  8
extern int BarsNum=200;

//---- buffers
double MaBuffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,MaBuffer);
//----
   string short_name="Ma("+MaPeriod+")";
   IndicatorShortName(short_name);
   SetIndexLabel(0,short_name);
//----
   SetIndexDrawBegin(0,MaPeriod);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
   int nBars = BarsNum;
   double price[], out[];
   ArrayResize(price, nBars);
   ArrayResize(out, nBars);
   for (int i=1; i<=nBars; i++)
      price[i-1]=Close[nBars-i];
   int num = ta_ma(MaPeriod, MaType, price, out, nBars );
   for(i=0; i<num; i++) {
      MaBuffer[i]=out[num-i-1];
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+